Description

Problemas encontrados con los componentes del core:

Diálogo de edición de dynObject

    -  los campos de tipo string, al guardar los valores en el objeto se pierde el último caracter. 
   Ejemplo: dbhost en el UI aparece localhost, después de aceptar los cambios el valor es localhos. Hay que añadir y quitar un

espacio detrás del valor.
    -  Aunque se cree el componente de solo lectura los campos son editables:

dynSwingManager.createJDynObjectComponent(mapInfo, false);

    -  El control editor de campos de tipo CRS no funciona
    -  ¿Qué mecanismo hay que usar para que actualice el formulario con otra instancia del DynObject? el setValue no refresca el UI.
Si existe un saveState para guardar los datos de UI al DynObject.

Carga de librerías

    -  En el proyecto ThematicMap.main, de forma intermitente (sin hacer nada diferente, dando a "run" o "debug" pasa, a veces a la
segunda o tercera arranca...), arrancando desde eclipse, salta una excepción relacionada con que le falta una declaración de
DynObject al cargar DAL.db: (Creado bug en gvSIG #67)

0:15:25,237 INFO  [db.DBStoreLibrary.postInitialize()]
  PostInitializing library 'org.gvsig.fmap.dal.store.db.DBStoreLibrary'.
Exception in thread "main" Error importing classes from file at line 13 column 60. Can't locate DynClass
'Persistence:DBResourceParameters. Look at the extends tag.
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDynClass(DynClassImportHelper.java:320)
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDefinitions(DynClassImportHelper.java:202)
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDefinitions(DynClassImportHelper.java:107)
    at org.gvsig.tools.dynobject.impl.DefaultDynObjectManager.importDynClassDefinitions(DefaultDynObjectManager.java:628)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.addDefinition(AbstractPersistenceManager.java:364)
    at org.gvsig.fmap.dal.store.db.DBHelper.registerParametersDefinition(DBHelper.java:26)
    at org.gvsig.fmap.dal.store.db.DBStoreLibrary.doPostInitialize(DBStoreLibrary.java:55)
    at org.gvsig.tools.library.AbstractLibrary.postInitialize(AbstractLibrary.java:310)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:197)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:102)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:92)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:108)
    at org.gvsig.educa.thematicmap.main.Main.main(Main.java:102)

History
#1 - 12/07/2011 10:38 AM - Jose Manuel Vivó Arnal
- Description updated

#2 - 12/13/2011 01:49 PM - Jose Manuel Vivó Arnal
- Description updated
- gvSIG version set to 2.0.0
#3 - 12/13/2011 02:00 PM - Jose Manuel Vivó Arnal

Después de reunión con Joaquin del Cerro:

Jose Manuel Vivó Arnal wrote:

Problemas encontrados con los componentes del core:

Diálogo de edición de dynObject

Estos diálogos van a ser arreglados y actualizado en el propio proyecto, antes de generar gvSIG 2.0 release. Los seguimos usando.

Carga de librerías

Credo bug en proyecto gvSIG desktop #67
